import { buildVersionGlobalFields } from 'payload/versions';
import { findMany } from './find/findMany.js';
import { getTableName } from './schema/getTableName.js';
export const findGlobalVersions = async function findGlobalVersions({ global, limit, locale, page, pagination, req = {}, skip, sort: sortArg, where }) {
    const globalConfig = this.payload.globals.config.find(({ slug })=>slug === global);
    const sort = typeof sortArg === 'string' ? sortArg : '-createdAt';
    const tableName = getTableName({
        adapter: this,
        config: globalConfig,
        versions: true
    });
    const fields = buildVersionGlobalFields(globalConfig);
    return findMany({
        adapter: this,
        fields,
        limit,
        locale,
        page,
        pagination,
        req,
        skip,
        sort,
        tableName,
        where
    });
};

//# sourceMappingURL=findGlobalVersions.js.map