import { buildVersionCollectionFields } from 'payload/versions';
import { findMany } from './find/findMany.js';
import { getTableName } from './schema/getTableName.js';
export const findVersions = async function findVersions({ collection, limit, locale, page, pagination, req = {}, skip, sort: sortArg, where }) {
    const collectionConfig = this.payload.collections[collection].config;
    const sort = typeof sortArg === 'string' ? sortArg : collectionConfig.defaultSort;
    const tableName = getTableName({
        adapter: this,
        config: collectionConfig,
        versions: true
    });
    const fields = buildVersionCollectionFields(collectionConfig);
    return findMany({
        adapter: this,
        fields,
        limit,
        locale,
        page,
        pagination,
        req,
        skip,
        sort,
        tableName,
        where
    });
};

//# sourceMappingURL=findVersions.js.map