import type { DBIdentifierName } from 'payload/database';
import type { PostgresAdapter } from '../types.js';
type Args = {
    adapter: PostgresAdapter;
    /** The collection, global or field config **/
    config: {
        dbName?: DBIdentifierName;
        enumName?: DBIdentifierName;
        name?: string;
        slug?: string;
    };
    /** Localized tables need to be given the locales suffix */
    locales?: boolean;
    /** For nested tables passed for the user custom dbName functions to handle their own iterations */
    parentTableName?: string;
    /** For sub tables (array for example) this needs to include the parentTableName */
    prefix?: string;
    /** Adds the relationships suffix */
    relationships?: boolean;
    /** For tables based on fields that could have both enumName and dbName (ie: select with hasMany), default: 'dbName' */
    target?: 'dbName' | 'enumName';
    throwValidationError?: boolean;
    /** Adds the versions suffix, should only be used on the base collection to duplicate suffixing */
    versions?: boolean;
};
/**
 * Used to name database enums and tables
 * Returns the table or enum name for a given entity
 */
export declare const getTableName: ({ adapter, config: { name, slug }, config, locales, parentTableName, prefix, relationships, target, throwValidationError, versions, }: Args) => string;
export {};
//# sourceMappingURL=getTableName.d.ts.map